#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>

int printvars(int len, char **names) {
	int ret = 0;

	for (int i = 0; i < len; i++) {
		char *val = getenv(names[i]);
		if (!val) {
			ret = 1;
			continue;
		}

		printf("%s\n", val);
	}

	return ret;
}

int main(int argc, char **argv, const char **envp) {
	int opt;
	while ((opt = getopt(argc, argv, "0")) != -1) {
		puts("printenv [var1 var2...]");
		return 0;
	}

	argv += optind;
	argc -= optind;

	if (argc == 0)
		while (*envp)
			printf("%s\n", *envp++);

	else
		return printvars(argc, argv);

	return 0;
}
